﻿<%@ Page Title="" Language="C#" Debug="true" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="myProfile.aspx.cs" Inherits="myProfile" %>

<asp:Content ContentPlaceHolderID="title" Runat="Server">
    <asp:Literal runat="server" ID="ltlTitile" />
</asp:Content>

<asp:Content ContentPlaceHolderID="style" Runat="Server">
    <style type="text/css">
        .top
        {
            padding: 10px 15px;
            background-color : #E6E6FA;
            color: #646464;
            border-top-right-radius: 5px;
            -moz-border-top-right-radius: 5px;
            -webkit-border-top-right-radius: 5px;
            border-bottom-right-radius: 5px;
            -moz-border-bottom-right-radius: 5px;
            -webkit-border-bottom-right-radius: 5px;
        }
        .follow
        {
            position:absolute;
            background-color: #99B4D1;
            cursor:pointer; padding: 1px 3px;
            border: font-size:16px;
            border-top-left-radius: 10px;
            -moz-border-top-left-radius: 10px;
            -webkit-border-top-left-radius: 10px;
            border-top-right-radius: 10px;
            -moz-border-top-right-radius: 10px;
            -webkit-border-top-right-radius: 10px;
            color: White;
            font-size: 18px;
        }
        .style1
        {
            border-left: 1px solid #ddd;
            border-right: 1px solid #ddd;
            border-top: 1px solid #ddd;
            width: 45px;
            position: relative;
            top: 2px;
            margin-right: 5px;
            padding: 5px 10px;
            text-decoration: none;
            font-size: 16px;
            border-top-left-radius: 10px;
            -moz-border-top-left-radius: 10px;
            -webkit-border-top-left-radius: 10px;
            border-top-right-radius: 3px;
            -moz-border-top-right-radius: 3px;
            -webkit-border-top-right-radius: 3px;
            background-color: White;
            color: #646464;
            font-family: Tahoma;
            border-bottom-style: none;
            border-bottom-color: inherit;
            border-bottom-width: medium;
        }
    </style>
</asp:Content>
<asp:Content ContentPlaceHolderID="right" Runat="Server">
    <div style="float: right;width: 100%;overflow: hidden;">
        <div class="top">
            <div style="width:100px;float:right; max-height:108px;overflow:hidden;border: 1px double #dddddd; border-radius: 5px;margin:3px; -moz-border-radius: 5px; -webkit-border-radius: 5px;">
                <asp:Image runat="server" ID="imgProfileAvatar" Width="100px" CssClass="txt1" />
            </div>
            <div style="margin-right: 115px ; margin-top: 10px;">
                <asp:Label runat="server" ID="lblSex" />
                <asp:Label runat="server" ID="lblAge" />
                <asp:Label runat="server" ID="lblM" />
                <asp:Label runat="server" ID="lblFrom" />
                <asp:Label runat="server" ID="lblBirth" />
                <br />
                <asp:Label runat="server" ID="lblEmpty" Text="!This user has no profile" />
                <hr />
                <asp:Label runat="server" ID="lblAbout" />
            </div>
            <br style="clear:both"/>
        </div>
        
            <div class="style1" style="top: 0px; right: 368px; width: 105px;">
                :Statements
            </div>
            <div class="content">
                <asp:Repeater runat="server" ID="Repeater1" DataSourceID="srcTwitts" 
                    onitemcommand="Repeater1_ItemCommand">
                    <ItemTemplate>
                        <div class="post">
                            <div style="width:50px;float:right; max-height:70px;overflow:hidden; border-radius: 5px;margin:3px; -moz-border-radius: 5px; -webkit-border-radius: 5px;">
                                <asp:Image ID="Image1" runat="server" Width="50px" ImageUrl='<%# "~/users/" + Eval("email") + "/avatar/" + Eval("avatar") %>' />
                            </div>
                            
                            <div style="float:right;width:415px;overflow:hidden;padding-right:5px;margin-top:3px">
                                <%#Eval("text") %>
                            </div>
                            <br style="clear:both"/>
                            <div class="post_footer">
                                <div id="date">
                                    Posted on date <%#Eval("date") %>&nbsp; 
                                </div>
                                <div id="time">
                                    Time <%#Eval("time") %>
                                </div>
                                <div class="btn_reply">
                                    <asp:ImageButton runat="server" ID="btnDelete" ImageUrl="~/img/delete.png" OnClick="btnDelete_Click"  AlternateText='<%# Eval("id") %>' />
                                </div>
                                <br style="clear: both"/>
                            </div>
                            <div class="reply">
                                <asp:TextBox runat="server" ID="txtReply" TextMode="MultiLine" CssClass="txtInput" style="float:right; max-width:300px; min-width:300px;border:none" />
                                <asp:Button ID="Button1" runat="server" CssClass="btn" style="float: right; margin-right: 5px;" Text="ارسال" />
                                <br style="clear: both"/>
                            </div>
                        </div>
                        
                        <hr />
                    </ItemTemplate>
                </asp:Repeater>

                <asp:SqlDataSource runat="server" ID="srcTwitts" ConnectionString="Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\Database.mdf;Integrated Security=True;User Instance=True"
                    SelectCommand="select twitt.id,users.email,twitt.text,twitt.date,twitt.time,profile.avatar from users,twitt,profile where twitt.user_id=@profileid and profile.id=@profileid and users.id=@profileid order by twitt.id desc"
                    DeleteCommand="delete from twitt where id=@deleteID" 
                    onselecting="srcTwitts_Selecting" />
            </div>
    </div>
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="script">
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            var pos = $(".tab").position();
            var left = pos.left;
            var top = pos.top;
            $(".follow").css('top', top);
            $(".follow").css('left', left - 90);
        });
    </script>
    <link href="css/css1.css" rel="stylesheet" type="text/css" />
</asp:Content>

