﻿<%@ Page Title="" Language="C#" Debug="true" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="profile.aspx.cs" Inherits="profile" %>

<asp:Content ContentPlaceHolderID="title" Runat="Server">
    <asp:Literal runat="server" ID="ltlTitile" />
</asp:Content>

<asp:Content ContentPlaceHolderID="style" Runat="Server">
    <style type="text/css">
        .top
        {
            padding: 10px 15px;
            background-color : #E6E6FA;
            color: #646464;
            border-top-right-radius: 5px;
            -moz-border-top-right-radius: 5px;
            -webkit-border-top-right-radius: 5px;
            border-bottom-right-radius: 5px;
            -moz-border-bottom-right-radius: 5px;
            -webkit-border-bottom-right-radius: 5px;
        }
        .follow
        {
            position:absolute;
            background-color: #99B4D1;
            cursor:pointer; padding: 1px 3px;
            border-top-left-radius: 10px;
            -moz-border-top-left-radius: 10px;
            -webkit-border-top-left-radius: 10px;
            border-top-right-radius: 10px;
            -moz-border-top-right-radius: 10px;
            -webkit-border-top-right-radius: 10px;
            color: White;
            font-size: 18px;
            top: 220px;
            right: 23px;
        }
    
.heder
{
     border-radius: 20px;
  font-size : x-large;
  font-family : Tahoma;
  height :60px;
  background-color :#1CB7E3;
  color :White;
  font-weight :bold;
  text-align :left;
 
}

    </style>
</asp:Content>
<asp:Content ContentPlaceHolderID="right" Runat="Server">
    <div style="float: right;width: 100%;overflow: hidden;">
        <div class="top">
            <div style="width:100px;float:right; max-height:108px;overflow:hidden;border: 1px double #dddddd; border-radius: 5px;margin:3px; -moz-border-radius: 5px; -webkit-border-radius: 5px;">
                <asp:Image runat="server" ID="imgProfileAvatar" Width="100px" />
            </div>
            <div style="margin-right: 115px ; margin-top: 10px;">
                <asp:Label runat="server" ID="lblSex" />
                <asp:Label runat="server" ID="lblAge" />
                <asp:Label runat="server" ID="lblM" />
                <asp:Label runat="server" ID="lblFrom" />
                <asp:Label runat="server" ID="lblBirth" />
                <br />
                <asp:Label runat="server" ID="lblEmpty" Text="!This user has no profile" />
                <hr />
                <asp:Label runat="server" ID="lblAbout" />
            </div>
            <br style="clear:both"/>
        </div>
        
            <div class="tab" style="top: 4px; right: 279px">
                Statements
            </div>
            <asp:Button runat="server" Text=" Follow" ID="btnFollow" OnClick="btnFollow_Click" CssClass="follow" />
            <div class="content">
                <asp:Repeater runat="server" ID="Repeater1" DataSourceID="srcTwitts">
                    <ItemTemplate>
                        <div class="post">
                            <div style="width:50px;float:right; max-height:70px;overflow:hidden; border-radius: 5px;margin:3px; -moz-border-radius: 5px; -webkit-border-radius: 5px;">
                                <asp:Image ID="Image1" runat="server" Width="50px" ImageUrl='<%# "~/users/" + Eval("email") + "/avatar/" + Eval("avatar") %>' />
                            </div>
                            
                            <div style="float:right;width:415px;overflow:hidden;padding-right:5px;margin-top:3px">
                                <%#Eval("text") %>
                            </div>
                            <br style="clear:both"/>
                            <div class="post_footer">
                                <div id="date">
                                    Posted on date <%#Eval("date") %>&nbsp; 
                                </div>
                                <div id="time">
                                    Time <%#Eval("time") %>
                                </div>
                                <div class="btn_reply">
                                    <asp:Image ID="Image2" runat="server" ImageUrl="~/img/reply2.png" />
                                </div>
                                <br style="clear: both"/>
                            </div>
                            <div class="reply">
                                <asp:TextBox runat="server" ID="txtReply" TextMode="MultiLine" CssClass="txtInput" style="float:right; max-width:300px; min-width:300px;border:none" />
                                <asp:Button ID="Button1" runat="server" OnCommand="btnReply_Click" CommandName='<%# Eval("name") %>' CssClass="btn" style="float: right; margin-right: 5px;" Text="Send" />

                                <br style="clear: both"/>
                            </div>
                            <div class ="btn ">
                            <asp:Button ID="Button2" runat="server" OnCommand="btnReply_Click" CommandName='<%# Eval("name") %>' CssClass="btn" style="float: right; margin-right: 5px;" Text="Send" />
                            </div>
                        </div>
                        
                        <hr />
                    </ItemTemplate>
                </asp:Repeater>

                <asp:TextBox ID="TextBox1" runat="server" Visible="False">1</asp:TextBox>

                <asp:SqlDataSource runat="server" ID="srcTwitts" ConnectionString="Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\Database.mdf;Integrated Security=True;User Instance=True"
                    SelectCommand="select name,twitt.id,users.email,twitt.text,twitt.date,twitt.time,profile.avatar from users,twitt,profile where twitt.user_id=@profileid and profile.id=@profileid and users.id=@profileid order by twitt.id desc"
                    DeleteCommand="delete from twitt where id=@deleteID" />
            </div>
    </div>
</asp:Content>

<asp:Content runat="server" ContentPlaceHolderID="script">
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            var pos = $(".tab").position();
            var left = pos.left;
            var top = pos.top;
            $(".follow").css('top', top);
            $(".follow").css('left', left - 90);

            $(".btn_reply").click(function () {
                $(this).parent().next().slideDown();
            });
            $(".post").mouseleave(function () {
                $(this).children().next('div.reply').slideUp();
            });
        });
    </script>
</asp:Content>

